# Interface VulkanHandleType

All Superinterfaces:
  `AutoCloseable, com.io7m.jmulticlose.core.CloseableType`

All Known Subinterfaces:
  `VMAAllocationType, VMAAllocatorType, VulkanBufferType, VulkanBufferViewType, VulkanCommandBufferType, VulkanCommandPoolType, VulkanDebuggingType.VulkanDebugRegionType, VulkanDebugUtilsMessengerEXTType, VulkanDebugUtilsRegionType, VulkanDescriptorPoolType, VulkanDescriptorSetLayoutType, VulkanDescriptorSetType, VulkanDescriptorUpdateTemplateType, VulkanDeviceMemoryType, VulkanDeviceType, VulkanEventType, VulkanExtKHRSurfaceType.VulkanKHRSurfaceType, VulkanExtKHRSwapChainType.VulkanKHRSwapChainType, VulkanFenceType, VulkanFramebufferType, VulkanHandleDispatchableType, VulkanHandleNonDispatchableType, VulkanImageType, VulkanImageViewType, VulkanInstanceType, VulkanLogicalDeviceType, VulkanPhysicalDeviceType, VulkanPipelineCacheType, VulkanPipelineLayoutType, VulkanPipelineType, VulkanQueryPoolType, VulkanQueueType, VulkanRenderPassType, VulkanSamplerType, VulkanSamplerYcbcrConversionType, VulkanSemaphoreBinaryType, VulkanSemaphoreTimelineType, VulkanSemaphoreType, VulkanShaderModuleType`

All Known Implementing Classes:
  `VMALWJGLAllocator, VulkanLWJGLBuffer, VulkanLWJGLBufferView, VulkanLWJGLCommandBuffer, VulkanLWJGLCommandPool, VulkanLWJGLDescriptorPool, VulkanLWJGLDescriptorSet, VulkanLWJGLDescriptorSetLayout, VulkanLWJGLDeviceMemory, VulkanLWJGLEvent, VulkanLWJGLExtDebugUtilsMessenger, VulkanLWJGLFence, VulkanLWJGLFramebuffer, VulkanLWJGLImage, VulkanLWJGLImageView, VulkanLWJGLInstance, VulkanLWJGLLogicalDevice, VulkanLWJGLPhysicalDevice, VulkanLWJGLPipeline, VulkanLWJGLPipelineCache, VulkanLWJGLPipelineLayout, VulkanLWJGLQueryPool, VulkanLWJGLQueue, VulkanLWJGLRenderPass, VulkanLWJGLSampler, VulkanLWJGLSemaphoreBinary, VulkanLWJGLSemaphoreTimeline, VulkanLWJGLShaderModule`

public interface VulkanHandleType extends com.io7m.jmulticlose.core.CloseableType
The base type of Vulkan handles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Destroy the object.

  ### Methods inherited from interface com.io7m.jmulticlose.core.CloseableType

  `isClosed`

- ## Method Details

  - ### close

    void close() throws VulkanException
    Destroy the object.
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `VulkanException` - On errors